MetacatUI - Task #6448

Feature # 5975 (Resolved): Implement 'Statistics' view

Task # 6429 (Resolved): Create data year coverage chart in user profile
Create Solr query to retrieve temporal coverage data
03/07/2014 01:43 PM - Lauren Walker
Description

History

#1 - 03/11/2014 05:17 PM - Lauren Walker

- Status changed from New to In Progress

After looking at the Solr docs it seems the only way to retrieve facets on a range of dates like this is to perform a facet query for each year to facet the
number of docs with a begin date that is before or included in that year AND an end date after or included in that year. Example:

https://knb. ecomformatlcs orq/knb/d1/mn/v1/querv/so|r/rows 100000&fl=beginDate,endDate&q= testmq&facet true&facet.query= (endDate I*%ZOTO%

:[2011-01-01T00: 00 OOZ%20TO%20 ])

#2 - 03/11/2014 05:21 PM - Lauren Walker

| should note that this is still a work in progress because that query can get very long and may exceed the browser's max URL length or may generate
over a hundred facet queries if someone enters their metadata wrong or has a relatively early date (e.g. a user with one dataset in 1910 could
generate a query that facets every year from 1910 to 2014 even though they may have one 1910 set and then one 2010 set and nothing in between)

#3 - 03/12/2014 08:03 AM - ben leinfelder

| was thinking more about this after we talked and wonder if we could combine startDate and endDate into the facet "field" and then process the
ranges client-side to get a better visualization. You could end up with (numberOfYearsinRange”2) facets, but that's probably safer than constructing a
GET request of indeterminate length.

Here's a snippet of the response | am imagining:

<lst name="facet_counts">
<lst name="facet_queries"/>
<lst name="facet_fields">
<lst name="startYearToEndYear">
<int name="2010-2011">14</int>
<int name="2010-2012">0</int>
<int name="2010-2013">1</int>
<int name="2011-2011">3</int>
<int name="2011-2014">2</int>
EECo o o
</lst>
</lst>
</lst>

| think we'd have to modify the solr schema and/or indexing rules so that we can populate the "startYearToEndYear" field (possibly a dynamic field so
we don't need to add it to the schema explicitly) with the values: beginDate/YEAR-endDate/YEAR. | tried doing this at query time, but that didn't see
to work.

#4 - 03/12/2014 05:00 PM - Lauren Walker

It looks like most servers and browsers can accept URLs up to ~2,000 characters. (
http://stackoverflow.com/questions/417142/what-is-the-maximum-length-of-a-url-in-different-browsers)

So | can create a fairly long URL with facet.queries before | run into trouble, but for safe practice, | should start increasing my year facet bins at a
certain total year range for the specified query:
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/rows=100000&fl=beginDate,endDate&q=testing&facet=true&facet.query=(endDate:%5B*%20TO%202010-12-31T23:59:59Z%5D+beginDate:%5B2010-01-01T00:00:00Z%20TO%20*%5D)&facet.query=(endDate:%5B*%20TO%202011-12-31T23:59:59Z%5D+beginDate:%5B2011-01-01T00:00:00Z%20TO%20*%5D)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/rows=100000&fl=beginDate,endDate&q=testing&facet=true&facet.query=(endDate:%5B*%20TO%202010-12-31T23:59:59Z%5D+beginDate:%5B2010-01-01T00:00:00Z%20TO%20*%5D)&facet.query=(endDate:%5B*%20TO%202011-12-31T23:59:59Z%5D+beginDate:%5B2011-01-01T00:00:00Z%20TO%20*%5D)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/rows=100000&fl=beginDate,endDate&q=testing&facet=true&facet.query=(endDate:%5B*%20TO%202010-12-31T23:59:59Z%5D+beginDate:%5B2010-01-01T00:00:00Z%20TO%20*%5D)&facet.query=(endDate:%5B*%20TO%202011-12-31T23:59:59Z%5D+beginDate:%5B2011-01-01T00:00:00Z%20TO%20*%5D)
http://stackoverflow.com/questions/417142/what-is-the-maximum-length-of-a-url-in-different-browsers

range of years < 10: 1 year

range of years is between 11 and 20: 2 years
range of years is between 21 and 50: 5 years
range of years is between 50 and 100: 10 years
range of years > 100: 25 years

So | will never have to send more than 10 facet.queries in one URL. (One facet.query is 89 characters =
&facet.query=(endDate:[*%20TO%20NOW-10YEARS/YEAR]+beginDate:[NOW-10YEARS/YEAR%20TO%20%]))

#5 - 03/14/2014 06:37 PM - Lauren Walker
- Status changed from In Progress to Resolved

- translation missing: en.field_remaining_hours set to 0.0

Here is an example query that would cover all of KNB:

(1255 characters - leaving almost 800 for other query parameters)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/g=":*+(beginDate:18*%200R%20beginDate:19*%200R%20beginDate:20*) +-obsoletedBy:*&w
t=json&rows=08&facet=true&facet.limit=30000&facet.missing=true&facet.query=%7B'key=1800%7D(beginDate:[*%20TO%20NOW-214YEARS/YEAR
]%20endDate:[NOW-214YEARS/YEAR%20T0%20*])&facet.query=%7B!key=1825%7D(beginDate:[*%20TO%20NOW-189YEARS/YEAR]%20endDa
te:[NOW-189YEARS/YEAR%20TO%20*])&facet.query=%7B!key=1850%7D(beginDate:[*%20TO%20NOW-164YEARS/YEAR]%20endDate:[NOW-1
64YEARS/YEAR%20T0%20*])&facet.query=%7B!key=1875%7D(beginDate:[*%20TO%20NOW-139YEARS/YEAR]%20endDate:[NOW-139YEARS/
YEAR%20T0O%20*])&facet.query=%7B'key=1900%7D(beginDate:[*%20TO%20NOW-114YEARS/YEAR]%20endDate:[NOW-114YEARS/YEAR%20
TO%20*])&facet.query=%7Bkey=1925%7D(beginDate:[*%20TO%20NOW-89YEARS/YEAR]%20endDate:[NOW-89YEARS/YEAR%20TO0%20*])&fa
cet.query=%7Blkey=1950%7D(beginDate:[*%20TO%20NOW-64YEARS/YEAR]%20endDate:[NOW-64YEARS/YEAR%20T0%20*]) &facet.query=%7
Blkey=1975%7D(beginDate:[*%20TO%20NOW-39YEARS/YEAR]%20endDate:[INOW-39YEARS/YEAR%20T0%20*])&facet.query=%7B'key=2000%
7D(beginDate:[*%20TO%20NOW-14YEARS/YEAR]%20endDate:[NOW-14YEARS/YEAR%20TO%20*])&facet.query=%7B!key=2014%7D(beginDate
[*%20TO%20NOW-0YEARS/YEAR]%20endDate:[NOW-0YEARS/YEAR%20TQ%20*])

Response:
1800: 0
1825: 1
1850: 2
1875:9
1900: 15
1925: 31
1950: 73
1975: 182
2000: 434
2014: 18
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/q=*:*+(beginDate:18*%20OR%20beginDate:19*%20OR%20beginDate:20*)+-obsoletedBy:*&wt=json&rows=0&facet=true&facet.limit=30000&facet.missing=true&facet.query=%7B!key=1800%7D(beginDate:%5B*%20TO%20NOW-214YEARS/YEAR%5D%20endDate:%5BNOW-214YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1825%7D(beginDate:%5B*%20TO%20NOW-189YEARS/YEAR%5D%20endDate:%5BNOW-189YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1850%7D(beginDate:%5B*%20TO%20NOW-164YEARS/YEAR%5D%20endDate:%5BNOW-164YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1875%7D(beginDate:%5B*%20TO%20NOW-139YEARS/YEAR%5D%20endDate:%5BNOW-139YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1900%7D(beginDate:%5B*%20TO%20NOW-114YEARS/YEAR%5D%20endDate:%5BNOW-114YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1925%7D(beginDate:%5B*%20TO%20NOW-89YEARS/YEAR%5D%20endDate:%5BNOW-89YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1950%7D(beginDate:%5B*%20TO%20NOW-64YEARS/YEAR%5D%20endDate:%5BNOW-64YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1975%7D(beginDate:%5B*%20TO%20NOW-39YEARS/YEAR%5D%20endDate:%5BNOW-39YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2000%7D(beginDate:%5B*%20TO%20NOW-14YEARS/YEAR%5D%20endDate:%5BNOW-14YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2014%7D(beginDate:%5B*%20TO%20NOW-0YEARS/YEAR%5D%20endDate:%5BNOW-0YEARS/YEAR%20TO%20*%5D)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/q=*:*+(beginDate:18*%20OR%20beginDate:19*%20OR%20beginDate:20*)+-obsoletedBy:*&wt=json&rows=0&facet=true&facet.limit=30000&facet.missing=true&facet.query=%7B!key=1800%7D(beginDate:%5B*%20TO%20NOW-214YEARS/YEAR%5D%20endDate:%5BNOW-214YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1825%7D(beginDate:%5B*%20TO%20NOW-189YEARS/YEAR%5D%20endDate:%5BNOW-189YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1850%7D(beginDate:%5B*%20TO%20NOW-164YEARS/YEAR%5D%20endDate:%5BNOW-164YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1875%7D(beginDate:%5B*%20TO%20NOW-139YEARS/YEAR%5D%20endDate:%5BNOW-139YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1900%7D(beginDate:%5B*%20TO%20NOW-114YEARS/YEAR%5D%20endDate:%5BNOW-114YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1925%7D(beginDate:%5B*%20TO%20NOW-89YEARS/YEAR%5D%20endDate:%5BNOW-89YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1950%7D(beginDate:%5B*%20TO%20NOW-64YEARS/YEAR%5D%20endDate:%5BNOW-64YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1975%7D(beginDate:%5B*%20TO%20NOW-39YEARS/YEAR%5D%20endDate:%5BNOW-39YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2000%7D(beginDate:%5B*%20TO%20NOW-14YEARS/YEAR%5D%20endDate:%5BNOW-14YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2014%7D(beginDate:%5B*%20TO%20NOW-0YEARS/YEAR%5D%20endDate:%5BNOW-0YEARS/YEAR%20TO%20*%5D)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/q=*:*+(beginDate:18*%20OR%20beginDate:19*%20OR%20beginDate:20*)+-obsoletedBy:*&wt=json&rows=0&facet=true&facet.limit=30000&facet.missing=true&facet.query=%7B!key=1800%7D(beginDate:%5B*%20TO%20NOW-214YEARS/YEAR%5D%20endDate:%5BNOW-214YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1825%7D(beginDate:%5B*%20TO%20NOW-189YEARS/YEAR%5D%20endDate:%5BNOW-189YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1850%7D(beginDate:%5B*%20TO%20NOW-164YEARS/YEAR%5D%20endDate:%5BNOW-164YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1875%7D(beginDate:%5B*%20TO%20NOW-139YEARS/YEAR%5D%20endDate:%5BNOW-139YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1900%7D(beginDate:%5B*%20TO%20NOW-114YEARS/YEAR%5D%20endDate:%5BNOW-114YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1925%7D(beginDate:%5B*%20TO%20NOW-89YEARS/YEAR%5D%20endDate:%5BNOW-89YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1950%7D(beginDate:%5B*%20TO%20NOW-64YEARS/YEAR%5D%20endDate:%5BNOW-64YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1975%7D(beginDate:%5B*%20TO%20NOW-39YEARS/YEAR%5D%20endDate:%5BNOW-39YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2000%7D(beginDate:%5B*%20TO%20NOW-14YEARS/YEAR%5D%20endDate:%5BNOW-14YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2014%7D(beginDate:%5B*%20TO%20NOW-0YEARS/YEAR%5D%20endDate:%5BNOW-0YEARS/YEAR%20TO%20*%5D)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/q=*:*+(beginDate:18*%20OR%20beginDate:19*%20OR%20beginDate:20*)+-obsoletedBy:*&wt=json&rows=0&facet=true&facet.limit=30000&facet.missing=true&facet.query=%7B!key=1800%7D(beginDate:%5B*%20TO%20NOW-214YEARS/YEAR%5D%20endDate:%5BNOW-214YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1825%7D(beginDate:%5B*%20TO%20NOW-189YEARS/YEAR%5D%20endDate:%5BNOW-189YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1850%7D(beginDate:%5B*%20TO%20NOW-164YEARS/YEAR%5D%20endDate:%5BNOW-164YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1875%7D(beginDate:%5B*%20TO%20NOW-139YEARS/YEAR%5D%20endDate:%5BNOW-139YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1900%7D(beginDate:%5B*%20TO%20NOW-114YEARS/YEAR%5D%20endDate:%5BNOW-114YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1925%7D(beginDate:%5B*%20TO%20NOW-89YEARS/YEAR%5D%20endDate:%5BNOW-89YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1950%7D(beginDate:%5B*%20TO%20NOW-64YEARS/YEAR%5D%20endDate:%5BNOW-64YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1975%7D(beginDate:%5B*%20TO%20NOW-39YEARS/YEAR%5D%20endDate:%5BNOW-39YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2000%7D(beginDate:%5B*%20TO%20NOW-14YEARS/YEAR%5D%20endDate:%5BNOW-14YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2014%7D(beginDate:%5B*%20TO%20NOW-0YEARS/YEAR%5D%20endDate:%5BNOW-0YEARS/YEAR%20TO%20*%5D)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/q=*:*+(beginDate:18*%20OR%20beginDate:19*%20OR%20beginDate:20*)+-obsoletedBy:*&wt=json&rows=0&facet=true&facet.limit=30000&facet.missing=true&facet.query=%7B!key=1800%7D(beginDate:%5B*%20TO%20NOW-214YEARS/YEAR%5D%20endDate:%5BNOW-214YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1825%7D(beginDate:%5B*%20TO%20NOW-189YEARS/YEAR%5D%20endDate:%5BNOW-189YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1850%7D(beginDate:%5B*%20TO%20NOW-164YEARS/YEAR%5D%20endDate:%5BNOW-164YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1875%7D(beginDate:%5B*%20TO%20NOW-139YEARS/YEAR%5D%20endDate:%5BNOW-139YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1900%7D(beginDate:%5B*%20TO%20NOW-114YEARS/YEAR%5D%20endDate:%5BNOW-114YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1925%7D(beginDate:%5B*%20TO%20NOW-89YEARS/YEAR%5D%20endDate:%5BNOW-89YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1950%7D(beginDate:%5B*%20TO%20NOW-64YEARS/YEAR%5D%20endDate:%5BNOW-64YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1975%7D(beginDate:%5B*%20TO%20NOW-39YEARS/YEAR%5D%20endDate:%5BNOW-39YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2000%7D(beginDate:%5B*%20TO%20NOW-14YEARS/YEAR%5D%20endDate:%5BNOW-14YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2014%7D(beginDate:%5B*%20TO%20NOW-0YEARS/YEAR%5D%20endDate:%5BNOW-0YEARS/YEAR%20TO%20*%5D)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/q=*:*+(beginDate:18*%20OR%20beginDate:19*%20OR%20beginDate:20*)+-obsoletedBy:*&wt=json&rows=0&facet=true&facet.limit=30000&facet.missing=true&facet.query=%7B!key=1800%7D(beginDate:%5B*%20TO%20NOW-214YEARS/YEAR%5D%20endDate:%5BNOW-214YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1825%7D(beginDate:%5B*%20TO%20NOW-189YEARS/YEAR%5D%20endDate:%5BNOW-189YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1850%7D(beginDate:%5B*%20TO%20NOW-164YEARS/YEAR%5D%20endDate:%5BNOW-164YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1875%7D(beginDate:%5B*%20TO%20NOW-139YEARS/YEAR%5D%20endDate:%5BNOW-139YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1900%7D(beginDate:%5B*%20TO%20NOW-114YEARS/YEAR%5D%20endDate:%5BNOW-114YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1925%7D(beginDate:%5B*%20TO%20NOW-89YEARS/YEAR%5D%20endDate:%5BNOW-89YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1950%7D(beginDate:%5B*%20TO%20NOW-64YEARS/YEAR%5D%20endDate:%5BNOW-64YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1975%7D(beginDate:%5B*%20TO%20NOW-39YEARS/YEAR%5D%20endDate:%5BNOW-39YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2000%7D(beginDate:%5B*%20TO%20NOW-14YEARS/YEAR%5D%20endDate:%5BNOW-14YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2014%7D(beginDate:%5B*%20TO%20NOW-0YEARS/YEAR%5D%20endDate:%5BNOW-0YEARS/YEAR%20TO%20*%5D)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/q=*:*+(beginDate:18*%20OR%20beginDate:19*%20OR%20beginDate:20*)+-obsoletedBy:*&wt=json&rows=0&facet=true&facet.limit=30000&facet.missing=true&facet.query=%7B!key=1800%7D(beginDate:%5B*%20TO%20NOW-214YEARS/YEAR%5D%20endDate:%5BNOW-214YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1825%7D(beginDate:%5B*%20TO%20NOW-189YEARS/YEAR%5D%20endDate:%5BNOW-189YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1850%7D(beginDate:%5B*%20TO%20NOW-164YEARS/YEAR%5D%20endDate:%5BNOW-164YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1875%7D(beginDate:%5B*%20TO%20NOW-139YEARS/YEAR%5D%20endDate:%5BNOW-139YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1900%7D(beginDate:%5B*%20TO%20NOW-114YEARS/YEAR%5D%20endDate:%5BNOW-114YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1925%7D(beginDate:%5B*%20TO%20NOW-89YEARS/YEAR%5D%20endDate:%5BNOW-89YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1950%7D(beginDate:%5B*%20TO%20NOW-64YEARS/YEAR%5D%20endDate:%5BNOW-64YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1975%7D(beginDate:%5B*%20TO%20NOW-39YEARS/YEAR%5D%20endDate:%5BNOW-39YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2000%7D(beginDate:%5B*%20TO%20NOW-14YEARS/YEAR%5D%20endDate:%5BNOW-14YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2014%7D(beginDate:%5B*%20TO%20NOW-0YEARS/YEAR%5D%20endDate:%5BNOW-0YEARS/YEAR%20TO%20*%5D)
https://knb.ecoinformatics.org/knb/d1/mn/v1/query/solr/q=*:*+(beginDate:18*%20OR%20beginDate:19*%20OR%20beginDate:20*)+-obsoletedBy:*&wt=json&rows=0&facet=true&facet.limit=30000&facet.missing=true&facet.query=%7B!key=1800%7D(beginDate:%5B*%20TO%20NOW-214YEARS/YEAR%5D%20endDate:%5BNOW-214YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1825%7D(beginDate:%5B*%20TO%20NOW-189YEARS/YEAR%5D%20endDate:%5BNOW-189YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1850%7D(beginDate:%5B*%20TO%20NOW-164YEARS/YEAR%5D%20endDate:%5BNOW-164YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1875%7D(beginDate:%5B*%20TO%20NOW-139YEARS/YEAR%5D%20endDate:%5BNOW-139YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1900%7D(beginDate:%5B*%20TO%20NOW-114YEARS/YEAR%5D%20endDate:%5BNOW-114YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1925%7D(beginDate:%5B*%20TO%20NOW-89YEARS/YEAR%5D%20endDate:%5BNOW-89YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1950%7D(beginDate:%5B*%20TO%20NOW-64YEARS/YEAR%5D%20endDate:%5BNOW-64YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=1975%7D(beginDate:%5B*%20TO%20NOW-39YEARS/YEAR%5D%20endDate:%5BNOW-39YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2000%7D(beginDate:%5B*%20TO%20NOW-14YEARS/YEAR%5D%20endDate:%5BNOW-14YEARS/YEAR%20TO%20*%5D)&facet.query=%7B!key=2014%7D(beginDate:%5B*%20TO%20NOW-0YEARS/YEAR%5D%20endDate:%5BNOW-0YEARS/YEAR%20TO%20*%5D)
